import { switchSerialNumber, computedQuestionNumber } from '../../../data/common';
import { snGenerationMethodList } from '@/views/book/courseware/data/common';

import SerialNumberPosition from '@/views/book/courseware/create/components/common/SerialNumberPosition.vue';

const mixin = {
  data() {
    return {
      switchSerialNumber,
      computedQuestionNumber,
      snGenerationMethodList,
    };
  },
  components: { SerialNumberPosition },
  methods: {
    /**
     * @description 设置属性
     * @param {object} property 属性
     */
    setSetting(property) {
      this.property = property;
    },

    /**
     * @description 改变序号位置
     * @param {String} sn_position
     */
    changeNumberPosition(sn_position) {
      this.property.sn_position = sn_position;
    },
  },
};

export default mixin;
