import AudioPreview from '../audio/Audio.vue';
import DividerPreview from '../divider/Divider.vue';
import SpacingPreview from '../spacing/Spacing.vue';
import PicturePreview from '../picture/Picture.vue';
import VideoPreview from '../video/Video.vue';

export const previewComponentMap = {
  audio: AudioPreview,
  divider: DividerPreview,
  spacing: SpacingPreview,
  picture: PicturePreview,
  video: VideoPreview,
};
